[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: tcl8.2 missing so build failed - change sbuildrc?

+++ Wookey [04-03-16 14:07 +0000]:
> My package therion failed to build on arm because it needs tclsh, and the
> buildd tried to use tcl8.2 to supply that dependency, but it was 'not
> available'. 
> The use of tcl 8.2 as opposed to 8.3 or 8.4 is specified in sbuildrc according 
> to the log at:
> http://buildd.debian.org/build.php?&pkg=therion&ver=0.2.19-1&arch=arm&file=log
> Other arches use newer tcl releases. Is there any good reason why the arm
> config is specifying 8.2?

OK - nothing has changed 7 days later, except that arm is now the only
failed architecture, so this needs to be fixed. I've had no response to this
mail so I've done some more research and think I have answered my own

> And why is 8.2 missing - has it been removed from sarge or is this a
> temporary failure? If this is a temporary blip can someone just prod the
> buildd to try again, if not then perhaps changing the sbuildrc favoured
> version is due and then prod it to rebuild.

Checking, it seems that tcl8.2 is only available in stable, whilst 8.3 and
8.4 are in testing and unstable, so it looks like the europa sbuild config
is broken and should be updated to default to 8.3 or 8.4, as it'll currently
fail to build anything that build-deps on tclsh | wish

cc:ing debian-admin as the contact specified in the machines database.


> I assume I don't have the authority to do this myself?

the machines database suggests not: 'access: restricted'

Aleph One Ltd, Bottisham, CAMBRIDGE, CB5 9BA, UK  Tel +44 (0) 1223 811679
work: http://www.aleph1.co.uk/     play: http://www.chaos.org.uk/~wookey/

Reply to: